.ridercredentials {
    display: flex;
    flex-direction: column;
}

.ridercredentials .headerContainer {
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: auto;
}

.ridercredentials .headerContainer .headerTitle {
    font-family: "Metropolis Regular";
    font-size: 24px;
    line-height: 28px;
    letter-spacing: 0.36px;
    color: #4b4a4a;
}

.ridercredentials .headerContainer .closeIcon {
    background-image: url(https://d1gq9jzbezk7fw.cloudfront.net/p/en_US/gv/i/close_icon_black_accesibility_v1.png);
    background-size: contain;
    height: 32px;
    width: 32px;
    cursor: pointer;
}

.ridercredentials .headerContainer {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.ridercredentials .headerContainer .headerTitle {
    font-family: "Metropolis Regular";
    font-size: 24px;
    line-height: 28px;
    letter-spacing: 0.36px;
    color: #4b4a4a;
}

.ridercredentials .headerContainer .closeIcon {
    background-image: url(https://d1gq9jzbezk7fw.cloudfront.net/p/en_US/gv/i/close_icon_black_accesibility_v1.png);
    background-size: contain;
    height: 32px;
    width: 32px;
    cursor: pointer;
}

.ridercredentials .errormessage {
    padding: 0;
    font-family: "Metropolis Regular";
    font-size: 18px;
    line-height: 24px;
    letter-spacing: 0.18px;
    margin-top: 8px;
    justify-content: flex-start;
}

.ridercredentials .gvinput .inputContainer {
    width: 100%;
    margin-top: 0;
}

.ridercredentials .gvinput .input-title {
    font-family: "Metropolis Semi Bold";
    font-size: 20px;
    line-height: 24px;
    letter-spacing: 0.2px;
    color: #333333;
    margin-bottom: 10px;
    cursor: none;
    margin-top: 8px;
    margin-bottom: 8px;
}

.ridercredentials .gvinput .editable-placeholder {
    font-family: "Metropolis Regular";
    font-size: 20px;
    line-height: 24px;
    letter-spacing: 0.2px;
    color: #333;
    background-color: #f0f0f0;
    border-radius: 8px;
    border: 0;
    padding: 15px 16px;
    margin-bottom: 0px;
    outline: none;
    align-content: center;
    width: 100%;
    height: 66px;
}
.ridercredentials .gvinput .inputContainer .subContainer {
    height: auto;
}

.ridercredentials .gvinput .inputContainer .subContainer .editable-placeholder {
    background-color: transparent;
}

.ridercredentials .idRequirementsContainer {
    display: flex;
    width: 100%;
    margin: 8px 0 24px;
}

.ridercredentials .pinRequirementsContainer {
    width: 100%;
    margin: 8px 0 36px;
}

.ridercredentials .idRequirementsContainer .text {
    font-family: "Metropolis Regular";
    font-size: 20px;
    line-height: 16px;
    letter-spacing: 0.5px;
    color: #333;
    margin-right: 5px;
}

.ridercredentials .idRequirementsContainer .text.bold {
    font-family: "Metropolis Semi Bold";
}

.ridercredentials .buttonContainer {
    display: flex;
    width: 100%;
    justify-content: center;
    margin-block: 25px;
}

.ridercredentials .action-button {
    display: flex;
    min-width: 230px;
    height: 64px;
    padding: 10px 16px;
    justify-content: center;
    align-items: center;
    gap: 10px;
    border-radius: 8px;
    border: 2px solid #1471db;
    background-color: #1471db;
    color: #fff;
    font-family: "Metropolis Semi Bold";
    font-size: 24px;
    font-style: normal;
    font-weight: 500;
    line-height: 32px; /* 133.333% */
    letter-spacing: 0.36px;
    margin-inline: 18px;
    text-transform: uppercase;
}

.ridercredentials .previous.action-button {
    background-color: transparent;
    color: #1471db;
}

@media only screen and (max-width: 1024px) {
    .ridercredentials .headerContainer .headerTitle {
        text-align: center;
        width: 100%;
    }
    .ridercredentials .idRequirementsContainer,
    .ridercredentials .gvinput .inputContainer,
    .ridercredentials .errormessage {
        padding-inline: 100px;
    }
}

@media only screen and (max-width: 768px) {
    .ridercredentials .headerContainer .headerTitle {
        font-size: 20px;
        line-height: 32px;
        letter-spacing: 0.2px;
    }
    .ridercredentials .gvinput .input-title,
    .ridercredentials .gvinput .editable-placeholder {
        font-size: 17px;
        line-height: 16px;
        letter-spacing: 0.204px;
    }
    .ridercredentials .gvinput .editable-placeholder {
        height: 44px;
    }
    .ridercredentials .idRequirementsContainer .text {
        font-size: 17px;
        line-height: 21px;
        letter-spacing: 0.17px;
    }
    .ridercredentials .action-button {
        min-width: 120px;
        height: 44px;
        font-size: 17px;
        letter-spacing: 0.221px;
        margin-inline: 10px;
    }
    .ridercredentials .idRequirementsContainer,
    .ridercredentials .gvinput .inputContainer,
    .ridercredentials .errormessage {
        padding-inline: 0;
    }
}

@media only screen and (max-width: 375px) {
    .ridercredentials .action-button {
        margin-inline: 2px;
    }
}

/* DARK MODE */
.dark .ridercredentials .idRequirementsContainer .text,
.dark .ridercredentials .pinRequirementsContainer .text,
.dark .ridercredentials .gvinput .input-title,
.dark .ridercredentials .gvinput .editable-placeholder,
.dark .ridercredentials .gvinput .editable-placeholder::placeholder,
.dark .ridercredentials .headerContainer .headerTitle {
    color: #fff;
}
.dark .ridercredentials .gvinput .editable-placeholder,
.dark .ridercredentials .gvinput .inputContainer .subContainer {
    background-color: #1f2120;
}
.dark .ridercredentials .headerContainer .closeIcon {
    background-image: url(https://d1gq9jzbezk7fw.cloudfront.net/p/en_US/gv/i/close-icon_white_v1.png);
}
.dark .ridercredentials .headerContainer .closeIcon {
    background-image: url(https://d1gq9jzbezk7fw.cloudfront.net/p/en_US/gv/i/close-icon_white_v1.png);
}
